FLATPAK UNINSTALL(1)

NAME
flatpak-uninstall - Uninstall an application or runtime

SYNOPSIS

flatpak uninstall [OPTION...] [REF...]

DESCRIPTION

Uninstalls an application or runtime. REF is a reference to the application or runtime to install. If no REF is given, everything is updated.

Each REF arguments is a full or partial indentifier in the flatpak ref format, which looks like "(app|runtime)/ID/ARCH/BRANCH". All elements except ID are optional and can be left out, including the slashes, so most of the time you need only specify ID. Any part left out will be matched against what is installed, and if there are multiple matches an error message will list the alternatives.

By default this looks for both installed apps and runtime with the given NAME, but you can limit this by using the --app or --runtime option.

Normally, this command removes the ref for this application/runtime from the local OSTree repository and purges and objects that are no longer needed to free up disk space. If the same application is later reinstalled, the objects will be pulled from the remote repository again. The --keep-ref option can be used to prevent this.

If all branches of the application/runtime are removed, this command also purges the data directory for the application.

Unless overridden with the --user or the --installation option, this command updates the default system-wide installation.

OPTIONS

The following options are understood:

-h, --help
    Show help options and exit.

--keep-ref
    Keep the ref for the application and the objects belonging to it in the local repository.

--user
    Updates a per-user installation.

--system
    Updates the default system-wide installation.

--installation=NAME
    Updates a system-wide installation specified by NAME among those defined in /etc/flatpak/installations.d/. Using --installation=default is equivalent to using --system.

--arch=ARCH
    The architecture to uninstall, instead of the architecture of the host system.

--app
    Only look for an app with the given name.

--runtime
    Only look for an runtime with the given name.

--no-related
    Don't uninstall related extensions, such as the locale data.

--force-remove
    Remove files even if they're in use by a running application.

-v, --verbose
    Print debug information during command processing.

--ostree-verbose
    Print OSTree debug information during command processing.

--version
    Print version information and exit.

EXAMPLES

$ flatpak --user uninstall org.gnome.GEdit